<template>
  <v-card
    class="mx-auto"
    max-width="344"
    v-if="movie_object"
  >
    <v-img
      :src="movie_object.poster_path"
      height="574px"

    ></v-img>

    <v-card-title>
      {{ movie_object.title }}
    </v-card-title>

    <v-card-subtitle>
      Release date: {{ movie_object.release_date}}
    </v-card-subtitle>

    <v-card-actions>
      <v-btn
        color="orange lighten-2"
        text
        @click="showDetails(movie_object.id)"
      >
        More
      </v-btn>

      <v-spacer></v-spacer>

      <v-btn
        icon
        @click="show = !show"
      >
        <v-icon>{{ show ? 'mdi-chevron-up' : 'mdi-chevron-down' }}</v-icon>
      </v-btn>
    </v-card-actions>

    <v-expand-transition>
      <div v-show="show">
        <v-divider></v-divider>

        <v-card-text>
          {{ movie_object.overview }}
        </v-card-text>
      </div>
    </v-expand-transition>
  </v-card>
</template>

<script>
import Movie from "../models/Movie.js";

export default {
  data() {
    return {
      show: false,
      movie_object: null
    }
  },
  props: {
    movie: {
      type: Object,
      default: null
    }
  },
  created(){
    this.movie_object = new Movie(this.movie);
  },
  methods: {
    showDetails(id){
      this.$router.push({name: "current movie", params: { movie: id}})
    }
  }
  
}

</script>
